Webhooks
Get webhook
Get a single webhook you are subscribed to by its UUID
GET
/
v2
/
webhooks
/
{webhooks_uuid}
Get webhook
curl --request GET \
--url https://sandbox.gateway.sezzle.com/v2/webhooks/{webhooks_uuid} \
--header 'Authorization: <api-key>'import requests
url = "https://sandbox.gateway.sezzle.com/v2/webhooks/{webhooks_uuid}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sandbox.gateway.sezzle.com/v2/webhooks/{webhooks_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "747cf28a-bb5c-46a8-a288-d9b006fd6113",
"links": [
{
"href": "https://sandbox.gateway.sezzle.com/v2/webhooks",
"rel": "create",
"method": "POST"
},
{
"href": "https://sandbox.gateway.sezzle.com/v2/webhooks",
"rel": "list",
"method": "GET"
},
{
"href": "https://sandbox.gateway.sezzle.com/v2/webhooks/747cf28a-bb5c-46a8-a288-d9b006fd6113",
"rel": "self",
"method": "GET"
},
{
"href": "https://sandbox.gateway.sezzle.com/v2/webhooks/747cf28a-bb5c-46a8-a288-d9b006fd6113",
"rel": "self",
"method": "PATCH"
},
{
"href": "https://sandbox.gateway.sezzle.com/v2/webhooks/747cf28a-bb5c-46a8-a288-d9b006fd6113",
"rel": "self",
"method": "DELETE"
}
],
"url": "https://example.com/webhooks",
"events": [
"customer.tokenized"
]
}[
{
"code": "bad_request",
"message": "bad request"
}
][
{
"code": "unauthorized",
"message": "authorization not accepted"
}
][
{
"code": "record_not_found",
"message": "not found"
}
][
{
"code": "invalid",
"message": "Unprocessable entity"
}
]Use this endpoint to retrieve a single webhook subscription by its UUID.
Notes
- The
webhooks_uuidis returned when you create a webhook and when you list your webhooks. - If the webhook UUID is not found, a 404 error will be returned.
Authorizations
The authentication token generated from providing API Keys to Sezzle Gateway
Path Parameters
The webhook UUID to retrieve
Response
Successful Operation
The URL you are using to receive webhooks
An array of webhook events you wish to subscribe to
Available options:
customer.tokenized, order.authorized, order.captured, order.refunded, dispute.merchant_input_requested, dispute.deadline_approaching, dispute.closed.customer_win, dispute.closed.merchant_win, dispute.closed.neutral The unique identifier for this response
Available API links prefilled with UUID with accompanying method
Hide child attributes
Hide child attributes
The fully qualified URL for the API endpoint
The relationship type indicating the purpose of this link (e.g., 'self' for the current resource, 'create' for creating a new resource, 'list' for listing resources)
Available options:
self, capture, checkout, create, customer, list, order, preapprove, refund, release, session The HTTP method to use when calling this API endpoint
Available options:
GET, POST, PATCH, DELETE ⌘I
Get webhook
